Page MenuHomePhabricator

VE help popup broken when toolbar is in narrow mode (<~900px)
Closed, ResolvedPublic1 Estimated Story Points

Event Timeline

Esanders created this task.Oct 19 2017, 2:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2017, 2:15 PM
Esanders added subscribers: Volker_E, matmarex.
Deskana triaged this task as Medium priority.Oct 19 2017, 2:27 PM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

The issue was actually introduced in https://gerrit.wikimedia.org/r/#/c/381800/ (rGOJU7d6258a7043e: WikimediaUI theme: Simplify action toolbar buttons selectors), not 380546. I think we can safely revert that one. (Honestly we should stop trying to "simplify" > selectors. We previously did the same thing with rGOJUed185afb9167: ButtonElement: Decrease selector specificity, which was reverted before causing issues.)

Change 385220 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] WikimediaUI: Use child selectors for styling toolbar action buttons

https://gerrit.wikimedia.org/r/385220

This is difficult to work around in VE. Since this is fairly minor breakage, I suggest we just wait for the next OOjs UI release with the fix.

matmarex updated the task description. (Show Details)Oct 19 2017, 6:27 PM

Change 385220 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: Use child selectors for styling toolbar action buttons

https://gerrit.wikimedia.org/r/385220

Deskana set the point value for this task to 1.Oct 20 2017, 10:09 AM
matmarex closed this task as Resolved.Nov 2 2017, 12:58 PM
matmarex claimed this task.
matmarex removed a project: Patch-For-Review.

OOUI v0.24.1 was released.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 2 2017, 12:58 PM